Subject: bug#8189: 24.0.50; indenting region with TAB deactivates region

From: Stefan Monnier <[email-masked]>
Date: Sun, 06 Mar 2011 16:37:32 -0500

> This bug report is about deactivating the region.  I don't know if it's
> easy to fix this but it would be nice if it would be possible to indent
> the region several times by simply hitting TAB several times.

The command usually bound to TAB is really meant for programming
languages, where it indents to "The Correct Indentation", so repeating
it makes no sense.

We could make it repeatable in text-mode buffers, but I suspect that
you'd also want to be able to "fine-tune" it or to un-indent in
a similar way, so maybe you want a more comprehensive solution.

        Stefan